Bug 163811 - [MAINTAINER] japanese/wordpress: update to 3.3.1 and german/wordpress update 3.3
Summary: [MAINTAINER] japanese/wordpress: update to 3.3.1 and german/wordpress update 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-04 08:40 UTC by takefu
Modified: 2012-01-14 04:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (242 bytes, patch)
2012-01-04 08:40 UTC, takefu
no flags Details | Diff
file.diff (572 bytes, patch)
2012-01-04 08:40 UTC, takefu
no flags Details | Diff
file.diff (234 bytes, patch)
2012-01-04 08:40 UTC, takefu
no flags Details | Diff
file.diff (1.72 KB, patch)
2012-01-04 08:40 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-01-04 08:40:09 UTC
japanese/wordpress
- Update to 3.3.1
- Add php-curl
- Add CONFLICTS_LIST

german/wordpress
- Update to 3.3
- Add php-curl
- Add CONFLICTS_LIST
- Move pkg-message -> files/pkg-message.in

Port maintainer (miwi@FreeBSD.org) is cc'd.

Fix: --- japanese/wordpress.patch begins here ---
PORTNAME=	wordpress
-PORTVERSION=	3.3
+PORTVERSION=	3.3.1
 CATEGORIES=	japanese www
 MASTER_SITES=	http://ja.wordpress.org/
 PKGNAMESUFFIX=	-ja
@@ -18,14 +18,17 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/license.txt

-CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-de-3.*
+CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-de-3.*\
+			zh-wordpress-zh_CN-3.* zh-wordpress-zh_TW-3.*\
+			ru-wordpress-ru-3.*

 NO_BUILD=	yes
-USE_PHP=	gd mysql pcre tokenizer xml zip
+USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

 SUB_FILES=	pkg-message
+#WWWDIR=	${PREFIX}/www/${PORTNAME}${PKGNAMESUFFIX}
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

--- german/wordpress.patch begins here ---
PORTNAME=	wordpress
-PORTVERSION=	3.2.1
+PORTVERSION=	3.3
 CATEGORIES=	german www
 MASTER_SITES=	http://static.wordpress-deutschland.org/de-edition/
 PKGNAMESUFFIX=	-de
@@ -19,14 +19,18 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/license.txt

-CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-ja-3.*
+CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-ja-3.*\
+			zh-wordpress-zh_CN-3.* zh-wordpress-zh_TW-3.*\
+			ru-wordpress-ru-3.*

 USE_ZIP=	yes
 NO_BUILD=	yes
-USE_PHP=	gd mysql pcre tokenizer xml zip
+USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

+SUB_FILES=	pkg-message
+#WWWDIR=	${PREFIX}/www/${PORTNAME}${PKGNAMESUFFIX}
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-01-04 12:52:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-01-06 07:28:36 UTC
sunpoet     2012-01-06 07:28:09 UTC

  FreeBSD ports repository

  Modified files:
    japanese/wordpress   Makefile distinfo 
  Log:
  - Update to 3.3.1
  - Update CONFLICTS_INSTALL
  
  Changes:        http://ja.wordpress.org/2012/01/04/wordpress-3-3-1/
  PR:             ports/163811
  Submitted by:   Takefu <takefu@airport.fm> (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -3      ports/japanese/wordpress/Makefile
  1.3       +2 -2      ports/japanese/wordpress/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-01-06 07:30:09 UTC
Responsible Changed
From-To: sunpoet->miwi

japanese/wordpress committed. Over to maintainer of german/wordpress.
Comment 4 Martin Wilke freebsd_committer 2012-01-14 03:51:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-01-14 03:51:24 UTC
miwi        2012-01-14 03:51:09 UTC

  FreeBSD ports repository

  Modified files:
    german/wordpress     Makefile distinfo 
  Log:
  - Update to 3.3.1
  - Update CONFLICTS_INSTALL
  
  PR:             based on 163811
  
  Revision  Changes    Path
  1.44      +5 -4      ports/german/wordpress/Makefile
  1.37      +2 -2      ports/german/wordpress/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"